sfscd(8)

NAME
sfscd - SFS client daemon

SYNOPSIS
sfscd [-d] [-l] [-L] [-f config-file]

DESCRIPTION
sfscd is the program to create and serve the /sfs directory on a client machine. Ordinarily, you should not need to configure sfscd or give it any command-line options.

OPTIONS

-d  Stay in the foreground and print messages to standard error rather than redirecting them to the system log.

-l  Ordinarily, sfscd will disallow access to a server running on the same host. If the Location in a self-certifying pathname resolves to an IP address of the local machine, any accesses to that pathname will fail with the error EDEADLK (``Resource deadlock avoided'').

    The reason for this behavior is that SFS is implemented using NFS. Many operating systems can deadlock when there is a cycle in the mount graph--in other words when two machines NFS mount each other, or, more importantly when a machine NFS mounts itself. To allow a machine to mount itself, you can run sfscd with the -l flag. This may in fact work fine and not cause deadlock on non-BSD systems.

-L  On Linux, the -L option disables a number of kludges that work around bugs in the kernel. -L is useful for people interested in improving Linux's NFS support.

-f config-file
    Specify an alternate sfscd configuration file. The default, if -f is unspecified, is first to look for /etc/sfs/sfscd_config, then /usr/local/share/sfs/sfscd_config.

FILES

/etc/sfs/sfscd_config
/usr/local/share/sfs/sfscd_config
    meta-client configuration

(Files in /etc/sfs supersede default versions in /usr/local/share/sfs.)

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu